﻿/******Forms******/
input, select, textarea { font-family: 'OpenSans_Condensed'; }
.form input:not([type="checkbox"]), .form select, .form textarea { position: relative; width: 100%; box-sizing: border-box; background-color: #fff; padding: 12px 10px; border: 1px solid #313131; border-radius: 7px; line-height: 1; font-size: 1.2em; color: #313131; font-weight: 500; }
.form input[type="date"], .form input[type="time"], .form input[type="file"], .form select { padding: 13px 10px; }
.form select { padding: 15px 10px 15px 30px; -webkit-appearance: none;background-image:url('/Resources/General/SelectArrowDown.svg');background-repeat:no-repeat;background-position:left 10px center; }
.form .select_conti { border: 1px solid #313131; border-radius: 7px; padding: 0 10px; box-sizing: border-box; }
    .form .select_conti select { border: none; padding: 10px 0; box-sizing: border-box; }
.form textarea { min-height: 145px; padding: 10px; box-sizing: border-box; }

.form ul li { position: relative; }

    .form ul li label { display: block; margin-bottom: 10px; font-size: 1.15em; color: #212121; }
::-webkit-input-placeholder { /* Chrome/Opera/Safari */ color: rgba(49, 49, 49, 0.26); }
::-moz-placeholder { /* Firefox 19+ */ color: rgba(49, 49, 49, 0.26); }
:-ms-input-placeholder { /* IE 10+ */ color: rgba(49, 49, 49, 0.26); }
:-moz-placeholder { /* Firefox 18- */ color: rgba(49, 49, 49, 0.26); }

.checkbox_conti { position: relative; box-sizing: border-box; min-height: 18px; }
    .checkbox_conti > div { position: relative; vertical-align: middle; width: 18px; height: 18px; right: 0; top: 0; display: inline-block; }
        .checkbox_conti > div > input { position: absolute; width: 100%; height: 100%; right: 0; top: 0; cursor: pointer; opacity: 0; margin: 0; }
        .checkbox_conti > div > span { position: absolute; width: 100%; height: 100%; right: 0; top: 0; border-radius: 6px; border: 2px solid #202020; pointer-events: none; background-color: #fff; box-sizing: border-box; }
            .checkbox_conti > div > span::after { content: "\f00c"; font-family: "Font Awesome 5 Free"; position: absolute; width: 0; overflow: hidden; right: 0; top: 0; color: #1E5585; -webkit-font-smoothing: antialiased; display: inline-block; font-style: normal; font-variant: normal; text-rendering: auto; line-height: 1; font-family: "Font Awesome 5 Pro"; font-weight: 900; transition: all 0.5s ease-in-out; -webkit-transition: all 0.5s ease-in-out; -o-transition: all 0.5s ease-in-out; -moz-transition: all 0.5s ease-in-out; }
        .checkbox_conti > div > input:checked ~ span::after { width: 100%; }
    .checkbox_conti label { display: inline-block !important; vertical-align: middle; text-align: right; margin-bottom: 0 !important; margin-right: 5px; }
        .checkbox_conti label > a { color: #5796CB; }
            .checkbox_conti label > a:hover, .checkbox_conti label > a:focus { text-decoration: underline; }
        .checkbox_conti label .bg { width: 17px; height: 17px; margin-left: 10px; border-radius: 50%; }
        .checkbox_conti label > * { display: inline-block; vertical-align: middle; }

.checkbox_conti_absolute { position: relative; box-sizing: border-box; min-height: 22px; padding-right: 28px; box-sizing: border-box; }
    .checkbox_conti_absolute > div { position: absolute; vertical-align: middle; width: 22px; height: 22px; right: 0; top: 0; }
        .checkbox_conti_absolute > div > input { position: absolute; width: 100%; height: 100%; right: 0; top: 0; cursor: pointer; opacity: 0; margin: 0; }
        .checkbox_conti_absolute > div > span { position: absolute; width: 100%; height: 100%; right: 0; top: 0; border-radius: 3px; border: 1px solid #3D3D3D; pointer-events: none; background-color: #fff; box-sizing: border-box; }
            .checkbox_conti_absolute > div > span::after { content: ""; position: absolute; right: 3px; top: 3px; width: calc(100% - 6px); height: calc(100% - 6px); background-color: #01B7B8; border-radius: 2px; opacity: 0; transition: all 0.25s ease-in-out; }
        .checkbox_conti_absolute > div > input:checked ~ span::after, .checkbox_conti_absolute.active > div > span::after { opacity: 1; }
    .checkbox_conti_absolute label { font-size: 1.2em !important; color: #000; display: inline-block !important; vertical-align: bottom; text-align: right; margin-bottom: 0 !important; padding-top: 2px; }
        .checkbox_conti_absolute label > a { color: #01B7B8; vertical-align: top; }
            .checkbox_conti_absolute label > a:hover, .checkbox_conti label > a:focus { text-decoration: underline; }
        .checkbox_conti_absolute label .bg { width: 17px; height: 17px; margin-left: 10px; border-radius: 50%; }
        .checkbox_conti_absolute label > * { display: inline-block; vertical-align: middle; }

.radio_conti { position: relative; padding-right: 25px; box-sizing: border-box; padding-top: 1px; }
    .radio_conti > div { width: 20px; height: 20px; position: absolute; right: 0; top: 0; }
        .radio_conti > div > input { position: absolute; width: 100%; height: 100%; right: 0; top: 0; cursor: pointer; opacity: 0; }
        .radio_conti > div > span { position: absolute; width: 100%; height: 100%; right: 0; top: 0; border-radius: 50%; border: 1px solid #707070; pointer-events: none; box-sizing: border-box; }
            .radio_conti > div > span::after { content: ""; position: absolute; width: 12px; height: 12px; border-radius: 50%; background-color: transparent; right: 3px; top: 3px; box-sizing: border-box; transition: all 0.5s ease-in-out; -webkit-transition: all 0.5s ease-in-out; -o-transition: all 0.5s ease-in-out; -moz-transition: all 0.5s ease-in-out; }
        .radio_conti > div > input:checked ~ span::after { background-color: #003E91; }
    .radio_conti label { display: inline-block; vertical-align: top; }

.has_label { position: relative; width: 100%;}
.form .has_label > label { opacity: 0; position: absolute; right: 0; top: 50%; padding: 0 10px; box-sizing: border-box; font-size: 1.2em; background-color: transparent; width: auto; height: auto; pointer-events: none; text-align: right; z-index: 2; border-radius: 5px; transform: translateY(-50%); color: rgba(49, 49, 49, 0.26) ;}
    .form .has_label > label.ready { opacity: 1;  }
    .form .has_label > label.label_transition { opacity: 1; transition: all 0.2s ease-in-out; -webkit-transition: all 0.2s ease-in-out; -o-transition: all 0.2s ease-in-out; -moz-transition: all 0.2s ease-in-out; }
.has_label_textarea > label { transform: translateY(0); top: 10px;  }
.has_label > label > span:not(.line) { position: relative; z-index: 2; background-color: #fff; }
/*.has_label.has_padding > label { width: 93%; }*/
.has_label > input, .has_label > input:hover, .has_label > textarea, .has_label > textarea:hover { color: transparent !important; }
.has_label > select { border-radius: 20px ;  }

    .has_label > input:focus ~ label, .has_label > label.active, .has_label > select:focus ~ label, .has_label > textarea:focus ~ label { transform: translateY(0); top: -10px; right: 10px; font-size: 0.8em !important; padding: 5px !important; background-color: transparent; width: auto; height: auto; background-image: none !important; color: rgba(49, 49, 49, 1);  }
        .has_label > label.active > span:not(.line), .has_label > *:focus ~ label > span:not(.line) { background-color: transparent; }
    .has_label > input:focus, .has_label > input:hover, .has_label > input.active, .has_label > select:focus, .has_label > select:hover, .has_label > select.active, .has_label > textarea:focus, .has_label > textarea:hover, .has_label > textarea.active { opacity: 1; color: #686868 !important; }
        .has_label > input:focus ~ label .line, .has_label > select:focus ~ label .line, .has_label > textarea:focus ~ label .line, .has_label > label.active .line { position: absolute; right: 0; top: 50%; width: 100%; height: 2px; transform: translateY(-50%); }
    .has_label > input:focus, .has_label > select:focus, .has_label > textarea:focus { border: 1px solid #3597d9 !important; }

.form .has_icon { padding-right: 40px !important; box-sizing: border-box; background-position: 98% center; background-repeat: no-repeat; }
.email_icon { background-image: url('/Content/Resources/General/mail.png'); }

[data-label] { position: relative; }
    [data-label] label { position: absolute; pointer-events: none; top: 0; right: 0; width: 100%; height: 100%; background-color: #fff; border-radius: 5px; padding: 13px 10px; box-sizing: border-box; font-size: 1em !important; }
    [data-label].active label, [data-inputLabel]:hover ~ label, [data-inputLabel]:focus ~ label { opacity: 0; }

.floating_label { position: absolute; right: 5px; top: -8px; padding: 0 5px; box-sizing: border-box; font-size: 1.2em !important; color: #000; }
    .floating_label > span:not(.line) { position: relative; z-index: 2; }
    .floating_label > .line { position: absolute; right: 0; top: 50%; transform: translateY(-50%); height: 2px; width: 100%; background-color: #fff; z-index: 1; }
/******End Forms******/
